import { Rectangle } from "../core/Rectangle";
import { Ellipsoid } from "../math/ellipsoid";
export interface IGeographicTilingScheme {
    ellipsoid?: Ellipsoid;
    _tilingScheme?: any;
    numberOfLevelZeroTilesX?: number;
    numberOfLevelZeroTilesY?: number;
}
/**
 * 地理学块
 */
export declare class GeographicTilingScheme {
    private _numberOfLevelZeroTilesY;
    private _numberOfLevelZeroTilesX;
    private _rectangle;
    constructor(options?: IGeographicTilingScheme);
    tileXYToRectangle(x: number, y: number, level: number, result?: Rectangle): Rectangle;
    getNumberOfXTilesAtLevel(level: number): number;
    getNumberOfYTilesAtLevel(level: number): number;
    static MAX_VALUE: Readonly<Rectangle>;
}
